sip4-tqt-devel-4.10.5-14.0.6_1.pclos2018.x86_64.rpm


Advertisement

Description

sip4-tqt-devel - Python/C++ bindings generator (Development Files)

Property Value
Distribution PCLinuxOS
Repository Trinity R14 x86_64
Package filename sip4-tqt-devel-4.10.5-14.0.6_1.pclos2018.x86_64.rpm
Package name sip4-tqt-devel
Package version 4.10.5
Package release 14.0.6_1.pclos2018
Package architecture x86_64
Package type rpm
Category Development/Libraries/Python
Homepage -
License -
Maintainer -
Download size 345.84 KB
Installed size 345.84 KB
SIP is a tool for generating bindings for C++ classes with some ideas
borrowed from SWIG, but capable of tighter bindings because of its
specificity towards C++ and Python.
SIP was originally designed to generate Python bindings for KDE and so
has explicit support for the signal slot mechanism used by the Qt/KDE
class libraries.
Features:
- connecting TQt signals to Python functions and class methods
- connecting Python signals to TQt slots
- overloading virtual member functions with Python class methods
- protected member functions
- abstract classes
- enumerated types
- global class instances
- static member functions.
This package contains the code generator tool and the development headers
needed to develop Python bindings with sip.

Alternatives

Package Version Architecture Repository
sip4-tqt-devel - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libgcc_s.so.1()(64bit) -
libm.so.6()(64bit) -
libstdc++.so.6()(64bit) -
python-devel -
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH) -
sip4-tqt = 2:4.10.5-14.0.6_1.pclos2018

Provides

Name Value
sip4-tqt-devel = 2:4.10.5-14.0.6_1.pclos2018
sip4-tqt-devel(x86-64) = 2:4.10.5-14.0.6_1.pclos2018

Download

Type URL
Mirror ftp.fau.de
Binary Package sip4-tqt-devel-4.10.5-14.0.6_1.pclos2018.x86_64.rpm
Source Package trinity-sip4-tqt-4.10.5-14.0.6_1.pclos2018.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    http://mirror.ppa.trinitydesktop.org/trinity/trinity/rpm/pclinuxos/ trinity-r14/RPMS x86_64
  2. Update the package index:
    # sudo apt-get update
  3. Install sip4-tqt-devel rpm package:
    # sudo apt-get install sip4-tqt-devel

See Also

Package Description
torsocks-1.3-5pclos2019.x86_64.rpm Use socks-friendly applications with Tor
tqt3-apps-devel-3.5.0-14.0.6_1.pclos2018.x86_64.rpm TQt3 Developer applications development files
tqt3-assistant-3.5.0-14.0.6_1.pclos2018.x86_64.rpm The TQt3 assistant application
tqt3-compat-headers-3.5.0-14.0.6_1.pclos2018.x86_64.rpm TQt 1.x and 2.x compatibility includes
tqt3-designer-3.5.0-14.0.6_1.pclos2018.x86_64.rpm TQt3 Designer
tqt3-dev-tools-3.5.0-14.0.6_1.pclos2018.x86_64.rpm TQt3 development tools
tqt3-dev-tools-compat-3.5.0-14.0.6_1.pclos2018.x86_64.rpm Conversion utilities for TQt3 development
tqt3-dev-tools-devel-3.5.0-14.0.6_1.pclos2018.x86_64.rpm TQt3 development tools
tqt3-dev-tools-embedded-3.5.0-14.0.6_1.pclos2018.x86_64.rpm Tools to develop embedded TQt applications
tqt3-doc-3.5.0-14.0.6_1.pclos2018.x86_64.rpm TQt3 API documentation
tqt3-examples-3.5.0-14.0.6_1.pclos2018.x86_64.rpm Examples for TQt3
tqt3-i18n-3.5.0-14.0.6_1.pclos2018.x86_64.rpm Translation (i18n) files for TQt3 library
tqt3-linguist-3.5.0-14.0.6_1.pclos2018.x86_64.rpm The TQt3 Linguist
tqt3-qtconfig-3.5.0-14.0.6_1.pclos2018.x86_64.rpm The TQt3 Configuration Application
trinity-abakus-0.91-14.0.6_1.pclos2018.x86_64.rpm Calculator for TDE
Advertisement
Advertisement